
<form [formGroup]="form" (ngSubmit)="register(getData())">
  <h1>Register</h1>

  <mat-form-field appearance="outline">
   <mat-label>Email</mat-label>
   <input formControlName="email" matInput>
   <mat-error>{{getEmailErrorMessage()}}</mat-error>
 </mat-form-field>

  <mat-form-field appearance="outline">
    <mat-label>Password</mat-label>
    <input type="password" formControlName="password" matInput>
    <mat-error>Password field is required</mat-error>
  </mat-form-field>

  <mat-form-field appearance="outline">
    <mat-label>Confirm password</mat-label>
    <input type="password" formControlName="confirmPassword" matInput>
    <mat-error>{{getConfirmPasswordErrors()}}</mat-error>
  </mat-form-field>
  <ng-container *ngFor="let error of errors">
    <mat-error  class="global-errors" >{{error}}</mat-error>
  </ng-container>
<div class="button-block">
  <button type="submit" mat-flat-button color="primary" [disabled]="form.invalid">Register</button>
  <button type="button" mat-stroked-button routerLink="/">Return</button>
</div>

</form>

